Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007774TestLinkUser Interface Generalpublic2016-12-06 21:072017-01-22 08:06
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007774: Kint Dump information is displayed in stable release
DescriptionAssign custom fields to project page display 2 Kint dump (see attachment)

I found 4 Kint::dump rows in Testlink code that should be removed in production environment :


lib\cfields\cfieldsTprojectAssign.php (2 hits)
    Line 65: \Kint::dump($gui);
    Line 114: \Kint::dump($args);

lib\execute\execSetResults.php (1 hit)
    Line 418: Kint::dump($gui);

lib\issuetrackerintegration\jiradbInterface.class.php (1 hit)
    Line 105: \Kint::dump($this->dbConnection);

Steps To ReproduceSearch for "Kint::dump" in testlink code.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
BrowserAny
PHP VersionAny
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon KintDump.PNG [^] (18,288 bytes) 2016-12-06 21:07

- Relationships
child of 0007666closedfman Availables hot-fixes for 1.9.15 & How To get full fixed package from GitHub 

-  Notes
(0025657)
fman (administrator)
2016-12-06 23:10

Thanks for help, I'm going to fix
(0025723)
fman (administrator)
2016-12-12 23:04

Just improved the enable/disable of KINT

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/3d4af9d2959ab090d2b3f7a1e40a470fc25167d6 [^]
(0025881)
fman (administrator)
2017-01-22 08:06

1.9.16 released

- Issue History
Date Modified Username Field Change
2016-12-06 21:07 Mr.Bricodage New Issue
2016-12-06 21:07 Mr.Bricodage File Added: KintDump.PNG
2016-12-06 23:10 fman Note Added: 0025657
2016-12-12 23:04 fman Note Added: 0025723
2016-12-12 23:04 fman Assigned To => fman
2016-12-12 23:04 fman Status new => feedback
2016-12-12 23:05 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-12-12 23:05 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-12-12 23:05 fman Relationship added child of 0007666
2016-12-27 20:36 fman Status feedback => resolved
2016-12-27 20:36 fman Resolution open => fixed
2017-01-22 08:06 fman Note Added: 0025881
2017-01-22 08:06 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker